% Zakarias Noemi - 07/07/2007 - function that plots the amplitude and phase
% versus r; 
%            - params - struct that stores the parameter values 
%            - m - number that sets the length of r (i.e if you
%            want r = [0,2*10^-3] you give m = 2;
%            - f - frequency;

clc; close all; clear all;

%problem's parameters
params.sigma = .5*10^(-4);
params.c     = 346;
params.k     = 595.63;
params.omega = 2*pi*32.8*1000; %\omega = 2*pi*frequency
params.scale = 1.0e+13;
%TF params;
params.Q = 14000; %Quality factor
params.T = 0.34*10^-3;
params.L = 3.8*10^-3;
params.W = 0.6*10^-3;
params.x0 = 0.15*10^-3;
params.x1 = 0.75*10^-3;

%program's params
params.rtol_alpha = 5*1.0e-5;
params.rtol_beta = 5*1.0e-5;
params.int_precision = 1.0e-8;

%compute alpha, beta and store them in params
 [params.alpha,Ra] =  fAlpha(params, 1.0e-5);
 [params.beta, Rb] =  fBeta(params, 1.0e-5);

f = 32.8*1000;
m = 2;
c = params.c;
k = params.k;

params.alpha_eff        =  1.31*10^-4*10^2;                             % (1/m)
params.W_L              =  61.7*10^-3;        
params.WWave            =  (pi/c/c*0.5)*0.5*0.4*params.alpha_eff*params.omega*params.W_L/(2*pi*params.sigma^2);

figure ('DefaultAxesFontSize',18); hold on; grid off; box on;
     r = [2*eps:(m*10^-3-2*eps)/250:m*10^-3];
     rr = r*1000;
     %A = pi/c/c * 0.5*fA(params,r)
     %A = fA(params,r)
     load data/A.mat;
     plot(rr,10^3*10^-13*params.WWave*A,'k','LineWidth',2);
     %const = (pi*sigma*sigma)/(2*c*c); 
     const =params.sigma*params.sigma;; 
     plot(rr,10^3*params.WWave*const*(sqrt( besselj(0,k*r).*besselj(0,k*r)+bessely(0,k*r).*bessely(0,k*r) )),'--k','LineWidth',2);
     ylim([0 2*10^-1]);
     %xlim([0 0.5]);
     xlabel('r (mm)');
     ylabel('Amplitude (mPa)');
     legend('Exact solution','Approximate solution',1);legend('boxoff');
     %set(gca,'XTick',[0 0.5 1 1.5 2])

figure ('DefaultAxesFontSize',18); hold on; grid off; box on;
    r = [2*eps:(m*10^-3-2*eps)/250:m*10^-3];
    rr = r*1000;
    %theta = fTheta(params, r);
    load data/Theta.mat;
    plot(rr, 180/pi*theta,'k','LineWidth',2)
    xlabel('r (mm)');
    ylabel('Phase (degrees)');
    plot(rr,180/pi*atan2(const*besselj(0,k*r),-const*bessely(0,k*r)),'--k','LineWidth',2);
    legend('Exact solution','Approximate solution',2);legend('boxoff');
    %xlim([0 0.5]);
    ytick = [0 20 40 60 80 100 120 ]; 
    set(gca,'YTick',ytick);
    %set(gca,'XTick',[0 0.5 1 1.5 2])
  
