% evalues.m
% This function solves the eigenvalue equation given in (7) in the
% EB_damping write up.
%
% Author: Noemi Zakarias
% Date: 11/08/2007

function [ roots ] = evalues(tol)

iniguess = [1.87 4.69 7.85 10.99 14.13];

    a = [0:15/100000:15]; 
    subplot(2,1,1);grid on; hold on;
    plot(a, f(a), 'LineWidth',2);
    xlabel('\lambda_n L'); ylabel('cosh(\lambda_n L)*cos(\lambda_n L) + 1');
    ylim([-2 2]);
    
for it = 1:length(iniguess)
    x(1) = iniguess(it);
    x(2) = x(1) - f((x(1)))/df(x(1));
    i = 1;
    while ( (x(i+1) -  x(i))/ x(i) > tol )
           i = i+1;
           x(i+1) = x(i) - f((x(i)))/df(x(i));        
    end
    roots(it) = x(length(x));
    
    subplot(2,1,2);grid on; hold on;
    plot(a, f(a), 'LineWidth',2);
    ylim([-.5 .5]);
    xlabel('\lambda_n L'); ylabel('cosh(\lambda_n L)*cos(\lambda_n L) + 1');
    plot(roots(it), f(roots(it)), '-r*','LineWidth',2, 'MarkerFaceColor',[1 0 0],'MarkerSize',10);
end % for loop

end % function
function [ out ]  = f(x)
    out = cosh(x).*cos(x) + 1;
end

function [ out ]  = df(x)
    out = sinh(x)*cos(x) - cosh(x)*sin(x);
end